USB_CTRLA_Type Union Reference

## Data Fields

struct {
uint8_t SWRST:1
uint8_t ENABLE:1
uint8_t RUNSTDBY:1
uint8_t __pad0__:4
uint8_t MODE:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 44 of file usb.h.

## Field Documentation

## __pad0__

uint8_t USB_CTRLA_Type::__pad0__

bit: 3.. 6 Reserved

Definition at line 49 of file usb.h.

## bit

struct { ... } USB_CTRLA_Type::bit

Structure used for bit access

## ENABLE

uint8_t USB_CTRLA_Type::ENABLE

bit: 1 Enable

Definition at line 47 of file usb.h.

## MODE

uint8_t USB_CTRLA_Type::MODE

bit: 7 Operating Mode

Definition at line 50 of file usb.h.

## reg

uint8_t USB_CTRLA_Type::reg

Type used for register access

Definition at line 52 of file usb.h.

## RUNSTDBY

uint8_t USB_CTRLA_Type::RUNSTDBY

bit: 2 Run in Standby Mode

Definition at line 48 of file usb.h.

## SWRST

uint8_t USB_CTRLA_Type::SWRST

bit: 0 Software Reset

Definition at line 46 of file usb.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/usb.h